summaryrefslogtreecommitdiff
path: root/support/bbfig/bbfig
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
committerNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
commite0c6872cf40896c7be36b11dcc744620f10adf1d (patch)
tree60335e10d2f4354b0674ec22d7b53f0f8abee672 /support/bbfig/bbfig
Initial commit
Diffstat (limited to 'support/bbfig/bbfig')
-rw-r--r--support/bbfig/bbfig22
1 files changed, 22 insertions, 0 deletions
diff --git a/support/bbfig/bbfig b/support/bbfig/bbfig
new file mode 100644
index 0000000000..b704e0f0be
--- /dev/null
+++ b/support/bbfig/bbfig
@@ -0,0 +1,22 @@
+#! /bin/sh
+
+# Script to stick bounding box finder in front of a postscript file
+# Adapted from Ned's original
+
+# $Header: bbfig,v 1.3 90/06/27 21:54:49 cosell Exp $
+
+# BBPSDIR=<wherever> # Define this if bb.ps doesn't live in same
+ # directory as bbfig
+
+if [ ! -f ${BBPSDIR=`dirname $0`}/bb.ps ]
+then
+ echo >&2 "Can't locate bb.ps"
+ exit 1
+fi
+
+case $# in
+ 0) cat $BBPSDIR/bb.ps -
+ ;;
+ *) cat $BBPSDIR/bb.ps "$@"
+ ;;
+esac